]> git.pld-linux.org Git - packages/ntp.git/blobdiff - ntp.init
- missing BR: pciutils-devel
[packages/ntp.git] / ntp.init
index bf5204a1a53e4e6af2c34040920c708c80ba746b..afab09c50c71b0d8717534fb853e05977c266320 100644 (file)
--- a/ntp.init
+++ b/ntp.init
@@ -9,58 +9,87 @@
 # Source function library.
 . /etc/rc.d/init.d/functions
 
+upstart_controlled
+
 # Source networking configuration.
 . /etc/sysconfig/network
 
+# default user if not overriden by config
+NTPD_USER="ntp"
+
 # Source ntp configuration
 . /etc/sysconfig/ntpd
 
 # Check that networking is up.
 if is_yes "${NETWORKING}"; then
        if [ ! -f /var/lock/subsys/network -a "$1" != stop -a "$1" != status ]; then
-               msg_network_down ntpd
+               msg_network_down "ntpd"
                exit 1
        fi
 else
        exit 0
 fi
 
-[ -x /usr/sbin/ntpd -a -f /etc/ntp/ntp.conf ] || exit 0
+[ -f /etc/ntp/ntp.conf ] || exit 0
 
-RETVAL=0
-# See how we were called.
-case "$1" in
-  start)
+start() {
        # Check if the service is already running?
        if [ ! -f /var/lock/subsys/ntpd ]; then
-               msg_starting ntpd
-               daemon ntpd -c /etc/ntp/ntp.conf
+               msg_starting "ntpd"
+               daemon /usr/sbin/ntpd -c /etc/ntp/ntp.conf -p /var/run/ntpd.pid ${NTPD_USER:+-u $NTPD_USER} $NTPD_OPTIONS
                RETVAL=$?
                [ $RETVAL -eq 0 ] && touch /var/lock/subsys/ntpd
        else
-               msg_already_running ntp
+               msg_already_running "ntpd"
        fi
-       ;;
-  stop)
+}
+
+stop() {
        if [ -f /var/lock/subsys/ntpd ]; then
-               msg_stopping ntpd
+               msg_stopping "ntpd"
                killproc ntpd
                rm -f /var/lock/subsys/ntpd
        else
-               msg_not_running ntpd
+               msg_not_running "ntpd"
+       fi
+}
+
+condrestart() {
+       if [ -f /var/lock/subsys/ntpd ]; then
+               stop
+               start
+       else
+               msg_not_running "ntpd"
+               RETVAL=$1
        fi
+}
+
+RETVAL=0
+# See how we were called.
+case "$1" in
+  start)
+       start
+       ;;
+  stop)
+       stop
+       ;;
+  restart)
+       stop
+       start
+       ;;
+  # NB! don't remove 'condrestart': dhcpcd calls this
+  try-restart|condrestart)
+       condrestart 0
+       ;;
+  force-reload)
+       condrestart 7
        ;;
   status)
        status ntpd
        exit $?
        ;;
-  restart|force-reload)
-       $0 stop
-       $0 start
-       exit $?
-       ;;
   *)
-       msg_usage "$0 {start|stop|restart|force-reload|status}"
+       msg_usage "$0 {start|stop|restart|try-restart|force-reload|condrestart|status}"
        exit 3
 esac
 
This page took 0.08965 seconds and 4 git commands to generate.